LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XVBAMacroResolver Interface Reference

Converts VBA macro names to script URLs and vice versa. More...

`import"XVBAMacroResolver.idl";`

Inheritance diagram for XVBAMacroResolver:

## Public Member Functions
string | resolveVBAMacroToScriptURL ([in] string aVBAMacroName) raises (::com::sun::star::lang::IllegalArgumentException)
| Returns the script URL representing the passed VBA macro name. More...
string | resolveScriptURLtoVBAMacro ([in] string aScriptURL) raises (::com::sun::star::lang::IllegalArgumentException)
| Returns the VBA macro name for a macro with the passed script URL. More...

## Detailed Description

Converts VBA macro names to script URLs and vice versa.

## Member Function Documentation

## ◆ resolveScriptURLtoVBAMacro()

string resolveScriptURLtoVBAMacro | ( | [in] string | aScriptURL | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns the VBA macro name for a macro with the passed script URL.

Parameters

  aScriptURL | The script URL to be resolved to a VBA macro name. Must be a document-local script.

Returns
  The VBA macro name referring to a macro with the passed script URL.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if a macro with the passed name does not exist.

## ◆ resolveVBAMacroToScriptURL()

string resolveVBAMacroToScriptURL | ( | [in] string | aVBAMacroName | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns the script URL representing the passed VBA macro name.

Parameters

  aVBAMacroName | The VBA macro name to be resolved to a script URL. The macro name may consist of up to three parts, divided by periods. The first two parts are optional. The first part represents the VBA project name. The second part represents the module name. The third part represents the procedure name. Example: All the VBA macro names "VBAProject.Module1.TestMacro", "Module1.TestMacro", "VBAProject.TestMacro", and "TestMacro" may refer to the same VBA procedure located in "Module" of the project "VBAProject". If the module name is missing, then all modules are searched for a macro with the specified name.

Returns
  The script URL referring to the passed VBA macro.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if a macro with the passed name does not exist.

The documentation for this interface was generated from the following file:

- com/sun/star/script/vba/XVBAMacroResolver.idl